
Infrastructure - Task #1717

Story # 1388 (Closed): implement MN-MN replication manager in CN stack

Add CNReplication.isReplicationAuthorized() to the API

2011-08-25 13:56 - Chris Jones

Status: Closed Start date: 2011-08-26

Priority: Normal Due date:  

Assignee: Nicholas Dexter % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.41-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

To verify calls to MNReplication.getReplica() are valid calls (ones that are truly initiated by an CN calling MNReplication.replicate()),

create isReplicationAuthorized(Session originatingNodeSession, Subject targetNodeSubject, Identifier pid, Permission

executePermission)

Subtasks:

Task # 1723: Add CNReplication.isReplicationAuthorized() to API-documents Closed

History

#1 - 2011-08-25 14:26 - Chris Jones

- Assignee set to Nicholas Dexter

#2 - 2011-09-02 18:00 - Nicholas Dexter

- Status changed from New to Closed
